### Signal

# Gdk DragSurface::compute-size

since: 4.12

#### Declaration

    void
    compute_size (
      GdkDragSurface* self,
      GdkDragSurfaceSize* size,
      gpointer user_data
    )

#### Description [src]

Emitted when the size for the surface needs to be computed, when it is present.

This signal will normally be emitted during the native surface layout cycle when the surface size needs to be recomputed.

It is the responsibility of the drag surface user to handle this signal and compute the desired size of the surface, storing the computed size in the `GdkDragSurfaceSize` object that is passed to the signal handler, using `gdk_drag_surface_size_set_size()`.

Failing to set a size so will result in an arbitrary size being used as a result.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.12

#### Parameters

`size`

  Type: `GdkDragSurfaceSize`

  The size of the drag surface.

  The data is owned by the caller of the function.